﻿@inherits ConstructDocumentsListViewModel

@if (Documents == null)
{
  <div class="d-flex justify-content-center">
    <div class="spinner-border" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>
}
else
{
  <table class="k-table">
    <thead class="k-thead">
      <tr class="table-headers k-tr">
        <th class="k-th">Обозначение</th>
        <th class="k-th">Версия</th>
        <th class="k-th">Состояние</th>
        <th class="k-th">Наименование</th>
        <th class="k-th">Файлы</th>
      </tr>
    </thead>
    <tbody>
      @foreach (var document in Documents)
      {
        <tr class="hand-hover k-tr"
            onclick="@(() => SelectedDocument(document))">

          <td class="k-td">@document.Designation</td>
          <td class="k-td">@document.Revision</td>
          <td class="k-td">@document.State</td>
          <td class="k-td">@document.Name</td>
          <td class="k-td"></td>
        </tr>
      }
    </tbody>
  </table>
}